apiVersion: apps/v1
kind: ReplicaSet
metadata:
  name: replicaSet-test
  labels:
    app: replicaSet-test
    type: front
spec:
  template:
    metadata:
    name: pod-test
    labels:
      app: pod-test
      type: front
    spec:
      containers:
      - name: nginx
        image: nginx
        resources:
          limits:
            memory: "500mb"
            cpu: "500m"
  replicas: 1
  selector:
    matchLabels:
      type: front
